/*
 *  MicroEmulator
 *  Copyright (C) 2004 mpowerplayer inc. http://mpowerplayer.com
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
 
package javax.microedition.io;

import java.io.IOException;

public interface SocketConnection extends StreamConnection
{
    static final byte DELAY = 0;
    static final byte LINGER = 1;
    static final byte KEEPALIVE = 2;
    static final byte RCVBUF = 3;
    static final byte SNDBUF = 4;

    void setSocketOption(byte option, int value) 
        throws IllegalArgumentException, IOException;

    int getSocketOption(byte option) 
        throws IllegalArgumentException, IOException;

    String getLocalAddress() throws IOException;

    int getLocalPort() throws IOException;

    String getAddress() throws IOException;

    int getPort() throws IOException;
}

